Skip to main content
`Ctrl`+`K`

# PetscBagViewFromOptions

Processes command line options to determine if/how a `PetscBag` is to be viewed.

## Synopsis

    #include "petscbag.h"
    PetscErrorCode PetscBagViewFromOptions(PetscBag bag, PetscObject bobj, const char optionname[])

Collective

## Input Parameters

- bag - the object

- bobj - optional other object that provides prefix (if `NULL` then the prefix in obj is used)

- optionname - option to activate viewing

## See Also

`PetscBagCreate()`, `PetscBag`, `PetscViewer`

## Level

intermediate

## Location

src/sys/classes/bag/bag.c

## Examples

src/snes/tutorials/ex69.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages